Skip to main content
GET
/
projects
/
{project_reference}
/
workflows
/
{workflow_id}
/
source
Get Workflow Source
curl --request GET \
  --url https://api.veryfront.com/projects/{project_reference}/workflows/{workflow_id}/source \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "name": "<string>",
  "description": "<string>",
  "target": "<string>",
  "source_path": "<string>",
  "source": "<string>",
  "version": "<string>",
  "schedulable": true,
  "edit_mode": "structured",
  "source_only_reasons": [
    "<string>"
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

project_reference
string
required
workflow_id
string
required

Workflow identifier

Query Parameters

source_target_kind
string
target_branch_id
string<uuid> | null

Response

Workflow document

id
string
required
name
string
required
description
string | null
required
target
string
required
source_path
string
required
source
string
required
version
string | null
required
schedulable
boolean
required
edit_mode
enum<string>
required
Available options:
structured,
source_only
source_only_reasons
string[]
required